Page MenuHomePhabricator

Requesting access to analytics-privatedata-users and researchers for Agaduran
Closed, ResolvedPublicRequest

Description

Requestor provided information and prerequisites

This section is to be completed by the individual requesting access.

  • Wikitech username: Agaduran
  • Preferred shell username: agaduran
  • Email address: alberto.duran@epfl.ch
  • Ssh public key (must be dedicated key for wmf production):

ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIC6gNunbAKKoO/FBh0y7gImIeiiIx5V974urZNNmClQg agaduran@Air-de-Alberto.home

  • Requested group membership: analytics-privatedata-users, researchers
  • Reason for access: a formal collaborator with Research who will work on https://meta.wikimedia.org/wiki/Research:Characterizing_Readers_Navigation (MOU/NDA are signed)
  • Name of approving party (hiring manager for WMF staff): @MGerlach
  • Requestor -- Please Acknowledge that you have read and signed the L3 Wikimedia Server Access Responsibilities document:
  • Requestor -- Please coordinate obtaining a comment of approval on this task from the approving party:

SRE Clinic Duty Confirmation Checklist for Access Requests

This checklist should be used on all access requests to ensure that all steps are covered, including expansion to existing access. Please double check the step has been completed before checking it off.

This section is to be confirmed and completed by a member of the SRE team.

  • - User has signed the L3 Acknowledgement of Wikimedia Server Access Responsibilities Document.
  • - User has a valid NDA on file with WMF legal. (This can be checked by Operations via the NDA tracking sheet & is included in all WMF Staff/Contractor hiring.)
  • - User has provided the following: wikitech username, preferred shell username, email address, and full reasoning for access (including what commands and/or tasks they expect to perform)
  • - User has provided a public SSH key. This ssh key pair should only be used for WMF cluster access, and not share with any other service (this includes not sharing with WMCS access, no shared keys.)
  • - access request (or expansion) has sign off of WMF sponsor/manager (sponser for volunteers, manager for wmf staff)
  • - non-sudo requests: 3 business day wait must pass with no objections being noted on the task
  • - Patchset for access request

For additional details regarding access request requirements, please see https://wikitech.wikimedia.org/wiki/Requesting_shell_access

Event Timeline

MGerlach created this task.Jul 16 2020, 6:18 PM
Restricted Application added a project: Operations. · View Herald TranscriptJul 16 2020, 6:18 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
MGerlach added a comment.EditedJul 16 2020, 6:21 PM

Hi.we have a new formal collaborator onboard: Alberto Garcia Duran. Alberto needs access to HDFS and stat machines for a new research project. Thanks.

@Agaduran: can you acknowledge that you read and signed the L3 Acknowledgement of Wikimedia Server Access Responsibilities Document?

Thanks, I've verified that NDA is on file.

This task also needs @Nuria's approval for the Analytics access.

Change 613241 had a related patch set uploaded (by CDanis; owner: CDanis):
[operations/puppet@production] admin: shell & analytics access for agaduran

https://gerrit.wikimedia.org/r/613241

CDanis updated the task description. (Show Details)Jul 16 2020, 7:11 PM

Two things pending:

  • @Nuria's approval for analytics access
  • three business day waiting period
Nuria added a comment.Jul 16 2020, 7:13 PM

We need an expiration date for this collaboration.

We need an expiration date for this collaboration.

Expiration date is listed in the NDA tracking spreadsheet as 2021-01-30

CDanis assigned this task to Nuria.Jul 16 2020, 7:34 PM
Nuria added a comment.Jul 16 2020, 7:34 PM

Approved on my end

CDanis removed Nuria as the assignee of this task.Jul 16 2020, 7:36 PM

Thanks! Will go through early next week, per the waiting period

Joe claimed this task.Jul 20 2020, 1:59 PM

Change 613241 merged by Giuseppe Lavagetto:
[operations/puppet@production] admin: shell & analytics access for agaduran

https://gerrit.wikimedia.org/r/613241

Joe closed this task as Resolved.Jul 21 2020, 8:01 AM

The patch has been merged and it will be applied across the cluster in ~ 30 minutes. Resolving the task, but please @Agaduran re-open it if you can't get access.

elukey added a subscriber: elukey.Jul 21 2020, 8:04 AM

@MGerlach if this user needs kerberos please follow https://wikitech.wikimedia.org/wiki/Analytics/Systems/Kerberos/UserGuide, I'll add the kerberos principal and update puppet (it is sufficient to either ping me on IRC or just open a task to analytics).

elukey@krb1001:~$ sudo manage_principals.py create agaduran --email_address=alberto.duran@epfl.ch
Principal successfully created. Make sure to update data.yaml in Puppet.
Successfully sent email to alberto.duran@epfl.ch

Change 616442 had a related patch set uploaded (by Elukey; owner: Elukey):
[operations/puppet@production] admin: add krb flag for agaduran

https://gerrit.wikimedia.org/r/616442

Change 616442 merged by Elukey:
[operations/puppet@production] admin: add krb flag for agaduran

https://gerrit.wikimedia.org/r/616442